| Home | Libraries | People | FAQ | More

##### remove(rtree<...> &, ConvertibleOrRange const &)

Remove a value corresponding to an object convertible to it or a range of values from the container.

###### Description

Remove a value corresponding to an object convertible to it or a range of values from the container. In contrast to the ``std::set`` or ``std::map erase()`` method it removes values equal to these passed as a range. Furthermore this method removes only one value for each one passed in the range, not all equal values.

It calls `rtree::remove(ConvertibleOrRange const&)`.

###### Synopsis

    template<typename Value,
             typename Parameters,
             typename IndexableGetter,
             typename EqualTo,
             typename Allocator,
             typename ConvertibleOrRange>
    rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator >::size_type remove(rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > & tree, ConvertibleOrRange const & conv_or_rng)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > &` | `tree` | The spatial index.
`ConvertibleOrRange const &` | `conv_or_rng` | The object of type convertible to value_type or the range of values.

###### Returns

The number of removed values.